

require "resources"
--require "buttons"
require "player"
--require "items"

function love.load()
	--Graphics Init
	resourceLoad()
	love.graphics.setDefaultFilter("nearest", "nearest")

	--Window Init
	WINDOW_W, WINDOW_H = 1280, 720
	WINDOW_W_TRUE, WINDOW_H_TRUE = 1920, 1080
	WINDOW_FULLSCREEN = false
	changeWindowResolution(WINDOW_W, WINDOW_H)

	--Game Init
	bgPosY = 0
	player.create((windowScaling.gameWidth / 2), (windowScaling.gameHeight - 200))
end

function love.update(dt)
	windowScaling.update()
	player.update(dt)
end

function love.draw()
	love.graphics.setColor(1,1,1)
	love.graphics.setFont(largeFont)
	windowScaling.start()

	backgroundDraw()
	player.draw()
	love.graphics.print("1-2 = 4:3\n3-5 = 16:9\nF to go Fullscreen")

	windowScaling.stop()
end

function love.keypressed(key)
	if key == "escape" then
		love.event.quit()
	end

	if key == "1" then
		changeWindowResolution(800, 600)
	elseif key == "2" then
		changeWindowResolution(1024, 768)
	elseif key == "3" then
		changeWindowResolution(1280, 720)
	elseif key == "4" then
		changeWindowResolution(1600, 900)
	elseif key == "5" then
		changeWindowResolution(1920, 1080)
	end

	if key == "f" then
		WINDOW_FULLSCREEN = not WINDOW_FULLSCREEN
		love.window.setFullscreen(WINDOW_FULLSCREEN)
	end
end

function backgroundDraw()
	--scroll background endlessly end to end
	--when the first's Y pos is the height of the game window reset Y pos of first to 0
	love.graphics.setColor(1, 1, 1)
	love.graphics.draw(streetIMG, 0, bgPosY)
	love.graphics.draw(streetIMG, 0, bgPosY - streetIMG:getHeight())

	if not gamePaused then
		bgPosY = bgPosY + 1
		if bgPosY >= streetIMG:getHeight() then
			bgPosY = 0
		end
	end
end

function changeWindowResolution(width, height)
	WINDOW_W, WINDOW_H = width, height

	windowScaling.setGame(WINDOW_W_TRUE, WINDOW_H_TRUE)
	love.window.setMode(width, height, {resizable=true})
end